Bug 1570356 - Unable to copy/paste bugzilla login information in abrt
Summary: Unable to copy/paste bugzilla login information in abrt
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 27
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-22 09:11 UTC by mertensb.mazda
Modified: 2018-11-30 23:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:00:49 UTC
Type: Bug


Attachments (Terms of Use)

Description mertensb.mazda 2018-04-22 09:11:49 UTC
Description of problem:
While reporting an issue via abrt for the first time on a new Fedora 27 installation abrt prompts the user for bugzilla credentials.
The dialog window where the user needs to enter username and password does not allow the information to be pasted from the copy buffer. (the paste context menu option is greyed out and shift+ins or ctrl+V do not work.

Version-Release number of selected component (if applicable):
abrt-addon-pstoreoops-2.10.7-1.fc27.x86_64
abrt-addon-kerneloops-2.10.7-1.fc27.x86_64
abrt-java-connector-1.1.0-14.fc27.x86_64
abrt-libs-2.10.7-1.fc27.x86_64
abrt-dbus-2.10.7-1.fc27.x86_64
abrt-cli-2.10.7-1.fc27.x86_64
python3-abrt-2.10.7-1.fc27.x86_64
gnome-abrt-1.2.6-1.fc27.x86_64
python3-abrt-addon-2.10.7-1.fc27.x86_64
abrt-addon-coredump-helper-2.10.7-1.fc27.x86_64
abrt-retrace-client-2.10.7-1.fc27.x86_64
abrt-tui-2.10.7-1.fc27.x86_64
abrt-desktop-2.10.7-1.fc27.x86_64
abrt-2.10.7-1.fc27.x86_64
abrt-addon-xorg-2.10.7-1.fc27.x86_64
abrt-gui-2.10.7-1.fc27.x86_64
abrt-addon-vmcore-2.10.7-1.fc27.x86_64
abrt-gui-libs-2.10.7-1.fc27.x86_64
abrt-plugin-bodhi-2.10.7-1.fc27.x86_64
abrt-addon-ccpp-2.10.7-1.fc27.x86_64

I'm including the mono components installed as well since I was trying to copy/paste from KeePass running under mono:
mono-data-4.8.0-12.fc27.x86_64
mono-extras-4.8.0-12.fc27.x86_64
urw-base35-nimbus-mono-ps-fonts-20170801-6.fc27.noarch
mono-wcf-4.8.0-12.fc27.x86_64
mono-core-4.8.0-12.fc27.x86_64
gnu-free-mono-fonts-20120503-15.fc27.noarch
mono-web-4.8.0-12.fc27.x86_64
liberation-mono-fonts-1.07.4-10.fc27.noarch
mono-mvc-4.8.0-12.fc27.x86_64
mono-data-sqlite-4.8.0-12.fc27.x86_64
dejavu-sans-mono-fonts-2.35-5.fc27.noarch
mono-winforms-4.8.0-12.fc27.x86_64

Note that copy/paste of username/password from KeePass works in e.g. firefox without problem.

How reproducible:
every time

Steps to Reproduce:
1. go through the report bug wizard
2. open KeePass via mono (mono /data/bram/Dropbox/PortableApps/KeePassPortable/KeePass.exe)
3. copy username or password from KeePass
4. attempt to copy in the abrt wizard

Actual results:
input is not pasted

Expected results:
copy/paste works

Additional info:

Comment 1 Ben Cotton 2018-11-27 14:14:20 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 23:00:49 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.